- Qt 5.15
- Qt 3D
- C++ Classes
- QStaticPropertyUpdatedChangeBase
- Qt 5.15.19 Reference Documentation

# QStaticPropertyUpdatedChangeBase Class

class Qt3DCore::QStaticPropertyUpdatedChangeBase

The QStaticPropertyUpdatedChangeBase class is the base class for all static PropertyUpdated QSceneChange events. More...

Header: | #include <Qt3DCore/QStaticPropertyUpdatedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QPropertyUpdatedChangeBase
Inherited By: | Qt3DCore::QPropertyUpdatedChange

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

const char * | propertyName() const
void | setPropertyName(const char *name)

## Protected Functions

| QStaticPropertyUpdatedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QStaticPropertyUpdatedChangeBasePtr

## Detailed Description

## Member Function Documentation

### `[protected]` QStaticPropertyUpdatedChangeBase::QStaticPropertyUpdatedChangeBase(QNodeId subjectId)

Constructs a new QStaticPropertyUpdatedChangeBase with subjectId

### const char *QStaticPropertyUpdatedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyUpdatedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().

## Related Non-Members

### typedef QStaticPropertyUpdatedChangeBasePtr

A shared pointer for QStaticPropertyUpdatedChangeBase.